Bug 587834 - Override yum's .conf.protected_packages
Summary: Override yum's .conf.protected_packages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 01:15 UTC by James Antill
Modified: 2013-01-10 05:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-04 16:25:23 UTC
Type: ---


Attachments (Terms of Use)

Description James Antill 2010-05-01 01:15:14 UTC
Description of problem:
 This BZ is mainly a heads up that mock probably wants to override the .conf.protected_packages yum configuration, or it won't be able to remove yum (and maybe other things in the future).

 AIUI mock needs to  be able to uninstall packages that would tend not to be uninstalled in a normal environment. The yum in rawhide has a protected_packages configuration so you can't remove the last version of yum (or anything specified in /etc/yum/protected.d) by default.

 Just having a "protected_packages =", in mock's yum config. should solve any problems.

Comment 1 Jesse Keating 2010-05-03 21:43:45 UTC
The only time mock would be removing packages is when it's upgrading a cached chroot, so I'm not sure how this would trigger?

Comment 2 James Antill 2010-05-04 13:50:52 UTC
Fair enough, feel free to close NOTABUG then. Seth said he thought you did operations where you removed things like yum/etc, so I let you know we'd probably broken that :).

Comment 3 Jesse Keating 2010-05-04 16:25:23 UTC
Ok, I'll close it then.


Note You need to log in before you can comment on or make changes to this bug.